Bug 218300 - Adding @PropertyEditorRegistration and @PropertyEditorSearchPath annotations
Adding @PropertyEditorRegistration and @PropertyEditorSearchPath annotations
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Nodes
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Jan Horvath
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 210323 220904
  Show dependency treegraph
 
Reported: 2012-09-13 14:06 UTC by Jan Horvath
Modified: 2012-10-29 13:34 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
diff (9.97 KB, patch)
2012-09-13 14:09 UTC, Jan Horvath
Details | Diff
diff (63.69 KB, patch)
2012-09-20 15:24 UTC, Jan Horvath
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Horvath 2012-09-13 14:06:33 UTC
Adding @PropertyEditorRegistration and @PropertyEditorSearchPath annotations to allow convenient registration of property editors. Setting the property editor search path in multiple places is error prone in multithreaded environment. @PropertyEditorSearchPath annotation will facilitate the setting search path in one synchronized method.
Comment 1 Jan Horvath 2012-09-13 14:09:21 UTC
Created attachment 124317 [details]
diff
Comment 2 Jaroslav Tulach 2012-09-19 13:42:32 UTC
It is probably better to attach diff in plain format rather than gzipped.

Thanks for fixing the usages in all the modules! I am sure module owners will be glad when they see your commit.

Y01 You don't want to integrate

-cluster.config=full
+cluster.config=java
 clusters.prefix=libnb

Y02 Javadoc of registerPropertyEditors is unfinished and is missing @since tag.

Y03 Javadoc of PropertyEditorRegistration could refer to NodeOp#registerPropertyEditors. Same for PropertyEditorSearchPath

Y04 Remove runtime dependency of Nodes on filesystems, enough to have just:
                 <dependency>
                    <code-name-base>org.openide.filesystems</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                </dependency>

Y05 Missing @since tag on the new annotation classes.

Y06 I've noticed setBeanInfoSearchPath in xml.tax module. Do you plan to add @BeanInfoSearchPath?
Comment 3 Jesse Glick 2012-09-19 14:10:23 UTC
To Y01: use nbbuild/user.build.properties for local overrides.

To Y06: cf. bug #210323.
Comment 4 Jan Horvath 2012-09-20 15:23:00 UTC
Y01 fixed
Y02 fixed
Y03 fixed
Y04 fixed
Y05 fixed
Y06 I plan to implement @BeanInfoSearchPath next month
Comment 5 Jan Horvath 2012-09-20 15:24:05 UTC
Created attachment 124658 [details]
diff
Comment 6 Jan Lahoda 2012-09-21 21:38:30 UTC
I apologize, but I had to revert:
http://hg.netbeans.org/jet-main/rev/08133c1ce9ad
which is bringing this into jet-main. Not only it breaks ValidateLayerConsistencyTest.testInstantiateAllInstances:
------------
Some instances cannot be created
File Services/PropertyEditorManager/Class-org-netbeans-beaninfo-editors-BoolEditor.instance should declare instanceOf
File Services/PropertyEditorManager/Class-org-netbeans-beaninfo-editors-CharEditor.instance should declare instanceOf
File Services/PropertyEditorManager/Class-org-netbeans-beaninfo-editors-IntEditor.instance should declare instanceOf
File Services/PropertyEditorManager/Class-org-netbeans-beaninfo-editors-StringArrayEditor.instance should declare instanceOf
File Services/PropertyEditorManager/Package-org-netbeans-beaninfo-editors.instance should declare instanceOf
File Services/PropertyEditorManager/Package-org-netbeans-core-execution-beaninfo-editors.instance should declare instanceOf
File Services/PropertyEditorManager/Package-org-netbeans-modules-xml-tax-beans-editor.instance should declare instanceOf
File Services/PropertyEditorManager/Package-org-openide-explorer-propertysheet-editors.instance should declare instanceOf Log:
------------
but it also breaks the org.netbeans.beaninfo.editors.FindEditorTest. I could probably hotfix the VLCT, but not sure how to fix FET (I guess the test now requires generated-layer.xml to be available?).

I apologize for inconvenience, but we need to ensure propagation of changes from jet-main. Please fix the tests and commit again (consider also using core-main, which may be more appropriate for this change).

Revert changeset:
http://hg.netbeans.org/jet-main/rev/04a12da60557
Comment 7 Quality Engineering 2012-09-23 02:12:48 UTC
Integrated into 'main-golden', will be available in build *201209230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/08133c1ce9ad
User: Jan Horvath <jhorvath@netbeans.org>
Log: #218300 - Adding @PropertyEditorRegistration and @PropertyEditorSearchPath annotations
Comment 8 Jan Horvath 2012-10-29 13:31:15 UTC
fixed in http://hg.netbeans.org/core-main/rev/b1efa878877e
Comment 9 Jaroslav Tulach 2012-10-29 13:33:48 UTC
Thanks for the contribution and don't forget your @BeanInfoSearchPath promise...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo